---
openapi: 3.0.3
info:
  title: Braze REST API – List integrations
  description: 'Use this endpoint to return a list of existing integrations.

    '
  version: 1.0.0
  contact:
    name: Braze Support
    url: https://www.braze.com/docs/braze_support/
  license:
    name: Braze Documentation
    url: https://www.braze.com/docs/api/home/
servers:
  - url: https://rest.iad-01.braze.com
    description: US-01
  - url: https://rest.iad-02.braze.com
    description: US-02
  - url: https://rest.iad-03.braze.com
    description: US-03
  - url: https://rest.iad-04.braze.com
    description: US-04
  - url: https://rest.iad-05.braze.com
    description: US-05
  - url: https://rest.iad-06.braze.com
    description: US-06
  - url: https://rest.iad-07.braze.com
    description: US-07
  - url: https://rest.iad-08.braze.com
    description: US-08
  - url: https://rest.us-10.braze.com
    description: US-10
  - url: https://rest.fra-01.braze.eu
    description: EU-01
  - url: https://rest.fra-02.braze.eu
    description: EU-02
  - url: https://rest.au-01.braze.com
    description: AU-01
  - url: https://rest.id-01.braze.com
    description: ID-01
  - url: https://rest.jp-01.braze.com
    description: JP-01
  - url: https://rest.kr-01.braze.com
    description: KR-01
security:
- BearerAuth: []
paths:
  "/cdi/integrations":
    get:
      summary: List integrations
      description: |
        > Use this endpoint to return a list of existing integrations.

        **Note:**
        To use this endpoint, you'll need to generate an API key with the `cdi.integration_list` permission.


        ## Rate limit

        For rate limit details, see [API rate limits]({{site.baseurl}}/api/api_limits/).

        ## Query parameters

        Each call to this endpoint will return 10 items. For a list with more than 10 integrations, use the `Link` header to retrieve the data on the next page as shown in the example response.

        | Parameter | Required | Data Type | Description |
        |---|---|---|---|
        | `cursor` | Optional | String | Determines the pagination of the integration list. |


        ## Example request

        ### Without cursor

        The following sample request shows an example without a cursor.

        ```
        curl --location --request GET 'https://rest.iad-03.braze.com/cdi/integrations' \
        --header 'Content-Type: application/json' \
        --header 'Authorization: Bearer YOUR_REST_API_KEY'
        ```

        ### With cursor

        The following sample request shows an example with a cursor.

        ```
        curl --location --request GET 'https://rest.iad-03.braze.com/cdi/integrations?cursor=c2tpcDow' \
        --header 'Content-Type: application/json' \
        --header 'Authorization: Bearer YOUR_REST_API_KEY'
        ```

        ## Response

        ### Example success response

        The status code `200` could return the following response body.

        **Note:**
        The `Link` header won't exist if there are less than or equal to 10 integrations in total. For calls without a cursor, `prev` will not show. When looking at the last page of items, `next` will not show.


        ```
        Link: </cdi/integrations?cursor=c2tpcDow>; rel="prev",</cdi/integrations?cursor=c2tpcDoxMDA=>; rel="next"
        ```

        ```json
        {
          "results": [
            {
              "integration_id": (string) integration ID,
              "app_group_id": (string) app group ID,
              "integration_name": (string) integration name,
              "integration_type": (string) integration type,
              "integration_status": (string) integration status,
              "contact_emails": (string) contact email(s),
              "last_updated_at": (string) last timestamp that was synced in ISO 8601,
              "warehouse_type": (string) data warehouse type,
              "last_job_start_time": (string) timestamp of the last sync run in ISO 8601,
              "last_job_status": (string) status of the last sync run,
              "next_scheduled_run": (string) timestamp of the next scheduled sync in ISO 8601
            }
          ],
          "message": "success"
        }
        ```

        ## Response status codes

        The following table lists the responses for this endpoint, the error message you may receive, and how to resolve it.

        | Status code | Meaning | Error message | How to resolve |
        | --- | --- | --- | --- |
        | `200 OK` | The request succeeded and the response body lists the integrations. | `success` | No action needed. |
        | `400 Bad Request` | The `cursor` value isn't valid. | `Invalid cursor` | Pass a valid `cursor` from the `Link` header of a previous response, or omit it. |
        | `404 Not Found` | No integration list was found for this workspace. | `Integration list not found` | Confirm Cloud Data Ingestion is set up for this workspace. |
        | `401 Unauthorized` | The REST API key is missing, malformed, or sent to the wrong REST endpoint. | `Invalid API key` | Send the key as `Authorization: Bearer YOUR_REST_API_KEY` to the correct [REST endpoint]({{site.baseurl}}/api/basics/#endpoints). For more causes, see [Errors and responses]({{site.baseurl}}/api/errors/#fatal-errors). |
        | `403 Access Denied` | The REST API key doesn't have the required permission. | `Access Denied` | Use a REST API key that has the `cdi.integration_list` permission. |
        | `429 Rate Limited` | You exceeded the rate limit for this endpoint. | `Over rate limit` | Slow your request rate and retry with exponential backoff. See [API rate limits]({{site.baseurl}}/api/api_limits/). |
        | `5XX Internal Server Error` | An unexpected error occurred on the Braze server. | `Internal Server Error` | Retry with exponential backoff. If the error persists, contact [Support]({{site.baseurl}}/braze_support/). |
      operationId: get_cdi_integrations_get_integration_list
      tags:
      - Cdi
      responses:
        '200':
          description: The request succeeded and the response body lists the integrations.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationListResponse'
        '400':
          description: The `cursor` value isn't valid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: No integration list was found for this workspace.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: The REST API key is missing, malformed, or sent to the wrong REST endpoint.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: The REST API key doesn't have the required permission.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: You exceeded the rate limit for this endpoint.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '5XX':
          description: An unexpected error occurred on the Braze server.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      parameters:
      - name: cursor
        in: query
        required: false
        description: Determines the pagination of the integration list.
        schema:
          type: string
components:
  schemas:
    IntegrationListResponse:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              integration_id:
                type: string
                description: Integration ID.
              app_group_id:
                type: string
                description: App group ID.
              integration_name:
                type: string
                description: Integration name.
              integration_type:
                type: string
                description: Integration type.
              integration_status:
                type: string
                description: Integration status.
              contact_emails:
                type: string
                description: Contact email(s).
              last_updated_at:
                type: string
                description: Last timestamp that was synced in ISO 8601.
              warehouse_type:
                type: string
                description: Data warehouse type.
              last_job_start_time:
                type: string
                description: Timestamp of the last sync run in ISO 8601.
              last_job_status:
                type: string
                description: Status of the last sync run.
              next_scheduled_run:
                type: string
                description: Timestamp of the next scheduled sync in ISO 8601.
        message:
          type: string
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: The error message describing why the request failed.
        errors:
          type: array
          description: Non-fatal errors encountered while processing the request. Data unaffected by these errors is still processed.
          items:
            type: object
            properties:
              type:
                type: string
                description: The error type.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: REST API key
